import request from '@/utils/request'

// 查询创建问卷列表
export function listPaper(query) {
  return request({
    url: '/elder/questionnaire/paper/list',
    method: 'get',
    params: query
  })
}

// 查询创建问卷详细
export function getPaper(paperId) {
  return request({
    url: '/elder/questionnaire/paper/' + paperId,
    method: 'get'
  })
}

// 新增创建问卷
export function addPaper(data) {
  return request({
    url: '/elder/questionnaire/paper',
    method: 'post',
    data: data
  })
}

// 修改创建问卷
export function updatePaper(data) {
  return request({
    url: '/elder/questionnaire/paper',
    method: 'put',
    data: data
  })
}

// 删除创建问卷
export function delPaper(paperId) {
  return request({
    url: '/elder/questionnaire/paper/' + paperId,
    method: 'delete'
  })
}
